import React, { PureComponent } from 'react';
import style from "styled-components";
import store from 'store';
import { getHostByPath } from '../../utils/request';
/**
 * 企业统计
 */
export default class InitialBasicInformation extends PureComponent {
  constructor(props, context) {
    super(props, context);
    this.state = {

    };

  }


  /******************************生命周期******************************/
  componentDidMount() {
    // this.refs.dataIframe.contentWindow.access_token = store.get('saas')['access_token'];
    window.apiUrl = getHostByPath();
    window.access_token = store.get('saas')['access_token'];
    // 隐藏左侧菜单栏
    document.querySelector('.ant-layout-sider').style.display = 'none';
    document.querySelector('.ant-layout-content').style.margin = '0px';
    document.querySelector('.oneKeySearchHidden').style.display = 'none';
    // console.log('innerHTML', document.getElementById("OneKeySearch").innerHTML);
    // document.getElementById("OneKeySearch").innerHTML = '<object type="text/html" data="http://www.alloyteam.com/nav/" width="100%" height="100%"></object>';
    // this.refs.dataIframe.contentWindow.access_token = store.get('saas')['access_token'];
    // // setTimeout(() => {
    // //   this.refs.dataIframe.contentWindow.location.reload();
    // // }, 2000);
    // console.log(this.refs.dataIframe.contentWindow.access_token, 'this.refsthis.refsthis.refs_token');
    // console.log(this.refs, 'this.refsthis.refsthis.refs');

  }

  componentWillUnmount() {
    // 显示左侧菜单栏
    document.querySelector('.ant-layout-sider').style.display = 'block';
    document.querySelector('.ant-layout-content').style.margin = '16px';
    document.querySelector('.oneKeySearchHidden').style.display = 'block';
  }
  /******************************ajax请求******************************/
 



  /******************************相关事件******************************/

  

  render() {

    
    return (
      <Container className="lalal">
        <iframe ref="dataIframe" src="/data/index.html#/production" name="dataIframe" scrolling="no" width={innerWidth} height={(innerWidth / 1920)*1080}></iframe>
      </Container>
    );
  }
}

const Container = style.div`
  // padding:10px 24px 24px;
  width:100%;
  height:100%;
`;
